!lua

-- Cabin Lights for AIG Dash 8-100.lua
-- Turn off lightmap between 10:35 PM and 6:55 AM and when the plane is not operating.

local LocalTime = varget("E:LOCAL TIME", "seconds")
local CabinLight = varget("A:LIGHT NAV", "Bool")
local Scale = 0.1

if CabinLight > 0 or LocalTime > 24900 and LocalTime < 81300 then
    TextureName = "AIG_Dash-8-100_L.DDS"
	else
    TextureName = ""
end

varset("T:EmissiveScale","Number",Scale)
varset("T:EmissiveTexture","String",TextureName)